Subject: Re: bug#69431: 30.0.50; Strange fontificaion behavior

From: Ihor Radchenko <[email-masked]>
Date: Tue, 27 Feb 2024 19:26:39 +0000

Eli Zaretskii <[email-masked]> writes:

>> I cannot reproduce when changing the load path to Org git
>> folder ( main, bugfix branches, and Org 9.6.15 tag which should be the
>> same with Emacs built-in version).
>
> So maybe the problem is already solved somehow?

... or it has something to do with loading built-in Org mode.
when I do
1. emacs -Q
2. C-x C-f /tmp/a.org
I do not see fontification.

when I do
1. emacs -Q
2. M-: (require 'org)
3. C-x C-f /tmp/a.org
I see fontification...

and when I wait long enough for native compilation to finish, I can see
fontification without loading org.el.

Not sure if it tells anything useful.

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>